<template>
  <div class="win">
    <!-- 四个角的边框效果 -->
    <div class="border_corner border_corner_left_top"></div>
    <div class="border_corner border_corner_right_top"></div>
    <div class="border_corner border_corner_left_bottom"></div>
    <div class="border_corner border_corner_right_bottom"></div>
    <div class="main">
      <div class="main-video">
        <el-table
            tooltip-effect="dark"
            :data="data"
        >
          <el-table-column prop="name" label="序号"></el-table-column>
          <el-table-column prop="name" label="类别"></el-table-column>
          <el-table-column prop="date" label="固废名称"></el-table-column>
          <el-table-column prop="address" label="代码"></el-table-column>
          <el-table-column prop="address" label="产生量"></el-table-column>
          <el-table-column prop="name" label="储存量"></el-table-column>
          <el-table-column prop="date" label="产生装置"></el-table-column>
        </el-table>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'PublicTable',
  props: ['requestSolidWasteData'],
  data () {
    return {
      data: [{
        date: '2016-05-03',
        name: '王小虎',
        address: '上海市普陀区'
      }, {
        date: '2016-05-02',
        name: '王小虎',
        address: '上海市普陀区'
      }]
    }
  },
  mounted () {
    this.$nextTick(() => {
      this.getSolidWasteData()
    })
  },
  methods: {
    getSolidWasteData () {
      // const data = requestSolidWasteData
      // console.log(data)
    }
  }
}
</script>

<style lang="less" scoped>
.win {
  position: relative;
  background-color: rgba(33, 41, 69, 0.9);
}

.main {
  width: 100%;
  height: 100%;
  //padding: 10px 6px;
  //border: 1px solid #396d83;
  .main-video {
    //padding: 5px;
    //border: 1px solid #396d83;
    width: 100%;
    min-height: 165px;

    video {
      width: 100%;
      height: 100%;
      outline: none;
    }
  }
}

.border_corner {
  z-index: 999;
  position: absolute;
  width: 14px;
  height: 14px;
  background: rgba(0, 0, 0, 0);
  border: 1.5px solid #47d5ea;
}

.border_corner_left_top {
  top: 0;
  left: 0;
  border-right: none;
  border-bottom: none;
}

.border_corner_right_top {
  top: 0;
  right: 0;
  border-left: none;
  border-bottom: none;
}

.border_corner_left_bottom {
  bottom: 0;
  left: 0;
  border-right: none;
  border-top: none;
}

.border_corner_right_bottom {
  bottom: 0;
  right: 0;
  border-left: none;
  border-top: none;
}
</style>
